<?php
defined("ABSPATH") || exit();

class SuperbInfoContentConfig
{
    const THEME_LINK = 'https://superbthemes.com/gutenshop/';
    const DEMO_LINK = 'https://superbthemes.com/demo/gutenshop/';

    private $FEATURES = array();

    public function __construct()
    {
        $this->AddFeature(__("Customize Header Logo, Text & Background Color", "gutenshop"), "purple-paint-brush.svg");
        $this->AddFeature(__("Translation Ready", "gutenshop"), "purple-article-medium.svg");
        $this->AddFeature(__("Fully SEO Optimized", "gutenshop"), "purple-gauge.svg");
        $this->AddFeature(__("Customize All Fonts", "gutenshop"), "purple-article-medium.svg");
        $this->AddFeature(__("Customize All Colors", "gutenshop"), "purple-paint-brush.svg");
        $this->AddFeature(__("Importable Demo Content", "gutenshop"), "purple-images.svg");
        $this->AddFeature(__("Elementor Compatible", "gutenshop"), "purple-elementor-logo.svg");
        $this->AddFeature(__("Replace Copyright Text", "gutenshop"), "purple-copyright.svg");
        $this->AddFeature(__("Full-Width Page Template", "gutenshop"), "purple-frame-corners.svg");
        $this->AddFeature(__("Access All Child Themes", "gutenshop"), "purple-images.svg");
        $this->AddFeature(__("Customer Support and Documentation", "gutenshop"), "purple-files.svg");
        $this->AddFeature(__("Multiple Website Support", "gutenshop"), "purple-files.svg");

        $this->AddFeature(__("Hide Sidebar On Posts", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Hide Sidebar On Pages", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Hide Top Borders On Pages", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Hide Sidebar On Blog Feed", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Hide Add To Cart Button from Product Overviews", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Hide Sidebar On Woocommerce Product Pages", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Contact Form", "gutenshop"), "gear.svg");
        $this->AddFeature(__("SEO Plugins", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Hide Share Buttons Individually", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Hide/Show Share Buttons on: Pages, Products, Posts", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Only Show Slideshow On Front Page", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Show Slideshow Everywhere", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Align Slideshow Content Left/Center/Right", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Hide Slideshow Top Border", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Custom Slideshow Title, Tagline & Button", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Remove the Related Products Section on Product Pages", "gutenshop"), "gear.svg");
        $this->AddFeature(__("Hide About The Author Section On Posts", "gutenshop"), "gear.svg");

        $this->AddFeature(__("Remove 'Tag' from Tag Page Title", "gutenshop"), "purple-article-medium.svg");
        $this->AddFeature(__("Remove 'Author' from Author Page Title", "gutenshop"), "purple-article-medium.svg");
        $this->AddFeature(__("Remove 'Category' from Category Page Title", "gutenshop"), "purple-article-medium.svg");
    }

    private function AddFeature($title, $icon)
    {
        $this->FEATURES[] = array(
            "title" => $title,
            "icon" => $icon
        );
    }

    public function GetFeatures()
    {
        return $this->FEATURES;
    }
}
